# API Reference source: https://developer.mastercard.com/bin-lookup/documentation/api-reference/index.md ## Environment Domains {#environment-domains} * Sandbox * Production ```Sandbox https://sandbox.api.mastercard.com/bin-resources ``` ```Production https://api.mastercard.com/bin-resources ``` ## APIs {#apis} Download Specification: [BIN-lookup-spec.yaml](https://static.developer.mastercard.com/content/bin-lookup/swagger/BIN-lookup-spec.yaml) (70KB) ### All Data (including filtering) {#all-data-including-filtering} API Reference: `POST /bin-ranges` ###### Pagination {#pagination} In order to download all data from the `/bin-ranges` endpoint you will need to use pagination. [Pagination tutorial →](https://developer.mastercard.com/bin-lookup/documentation/tutorials-and-guides/pagination-tutorial/index.md) ###### Filtering {#filtering} The `/bin-ranges` endpoint supports filtering if you are only interested in specific ranges (for example, issuer/country). [Filtering tutorial →](https://developer.mastercard.com/bin-lookup/documentation/tutorials-and-guides/filtering-tutorial/index.md) ### Single Lookup {#single-lookup} API Reference: `POST /bin-ranges/account-searches` ###### Matching {#matching} The `/account-searches` endpoint allows you to send in a single 6 - 8 BIN (or up to the 11 digit account range) and will return any matching results from the data. [Matching tutorial →](https://developer.mastercard.com/bin-lookup/documentation/tutorials-and-guides/single-lookup/index.md) ### Delta {#delta} API Reference: `GET /bin-ranges/deltas/snapshots/{from_snapshot_id}` ## Next Steps {#next-steps} Now that you have a good understanding of all the services endpoints, proceed to the [Testing](https://developer.mastercard.com/bin-lookup/documentation/testing/index.md) section to learn about testing the service.